import sys
sys.path.append("../../..")
from relations.src.system_relation import systemutils, graph_model, systemdatautils,systemgraph_display

from cffi import FFI


def get_real_model_id(models):
	real_model_ids = systemdatautils.get_real_model_id(models)
	floor_model_dict = dict()
	for row in real_model_ids:
		floor_id = row.id
		model_id = row.fid
		status = row.status
		if status == 4:
			floor_model_dict[floor_id] = model_id
	for model in models:
		if model.model_id not in floor_model_dict:
			del models[model.model_id]
		else:
			model.model_id = floor_model_dict[model.model_id]
'''
Bd110229000152e862dcd34711e8a471478dc5d7eb0d
Bd110229000190c881e0594011eaa6df0db8c24bda0e
Bd1102290001a1796d11594011eaa6df9d51f0a54633
Bd1102290001b0ea5e32594011eaa6df7f063170ebf2
Bd1102290001bd41da53594011eaa6df5f7f0c23be5d
Bd1102290001c67ea95a594011ea8fa07973fb6df60a
Bd1102290001ce0e643b594011ea8fa09b56c4ca731b
Bd1102290001d6cd4fe4594011eaa6dfa5ccf8979b10
Bd1102290001e2f0eac5594011eaa6dfe3d285700533
Bd1102290001f30b1436594011eaa6df5b8d12bc707e
Bd110229000143dbf15d69a111eaa6dfeb7566e0258e
Bd1102290001f8755707594011eaa6df6bb8f4f81dd4
Bd110229000100f824dc594111ea8fa09d5be066de42
Bd11022900013df921f75b7511eaa6dfc5825970b94b
Bd110229000134cd447c69a111eaa6dff75d40e4221d
Bd11022900014c922a1469a111ea8fa0f5eef8d9657e

select * from sys_block('Pj1101080251', 'Bd1101080251530c08b4e86540eba6d93ed783392028', '', '')

'''

if '__main__'==__name__:
	project_id="Pj1101080251"
	# system_name="空调热水供水管"
	system_name="冷、热水供水管"
	domain="DomainPiping"
	building_id = 'Bd1101080251530c08b4e86540eba6d93ed783392028'
	models= systemdatautils.get_project_models(project_id,building_id)
	floorgraphs=[]
	get_real_model_id(models)
	for model in models:
		floor_connectors = systemdatautils.get_connectors_data(model.model_id, system_name, domain)
		floor_elements = systemdatautils.get_element_data(model.model_id)
		g = graph_model.FloorGraph(model, system_name, domain, floor_connectors, floor_elements)
		g.get_floor_graphs()
		g.combine_single_model()
		floorgraphs.append(g)
	projectgraph= graph_model.combine_systemgraph(project_id,floorgraphs)
	systemdatautils.save_project_data(projectgraph,system_name,domain,building_id)
	systemgraph_display.show_project(projectgraph)
